package org.springblade.party.feign;

import org.springblade.core.tool.api.R;
import org.springblade.party.entity.ActivityEnroll;
import org.springblade.party.vo.ActivityEnrollVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class ActivityEnrollClientFallback implements IActivityEnrollClient {
            /**
         * 详情
         */
        @Override
        public ActivityEnrollVO detail(ActivityEnroll activityEnroll) {
            return null;
        }

        /**
         * 查询
         */
        @Override
        public List<ActivityEnrollVO> list(ActivityEnroll activityEnroll) {
            return null;
        }



        /**
         * 新增
         */
        @Override
        public R save( ActivityEnroll activityEnroll) {
            return R.data(null);
        }

        /**
         * 修改
         */
        @Override
        public boolean update( ActivityEnroll activityEnroll) {
            return false;
        }

        /**
         * 新增或修改
         */
        @Override
        public boolean submit( ActivityEnroll activityEnroll) {
            return false;
        }


        /**
         * 删除
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

		/**
		 * 取消
		 * @param activityEnroll
		 * @return
		 */
		@Override
		public R cancel(@Valid ActivityEnroll activityEnroll) {
			return R.data(null);
		}

}
